## net.sf.statcvs.weblinks.bugs
Class Bugzilla

    java.lang.Object
      net.sf.statcvs.weblinks.bugs.BugTracker
          net.sf.statcvs.weblinks.bugs.Bugzilla

    public class Bugzilla

extends BugTracker

Implements support for the Bugzilla bug tracker.

Version:
  $Id: Bugzilla.java,v 1.3 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak (richard@cyganiak.de)

Field Summary

Fields inherited from class net.sf.statcvs.weblinks.bugs.BugTracker
`bugRegex, NO_BUG_TRACKER`

Constructor Summary
`Bugzilla(java.lang.String baseURL)`

Method Summary
`java.lang.String` `bugURL(java.lang.String bugNumber)` Returns the URL of the bug tracker page about a certain bug.
`java.lang.String` `getName()` Returns the name of the bug tracker

Methods inherited from class net.sf.statcvs.weblinks.bugs.BugTracker
`baseURL, toHTMLWithLinks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bugzilla

    public Bugzilla(java.lang.String baseURL)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: `BugTracker`
  Returns the name of the bug tracker

  Specified by:
    `getName` in class `BugTracker`
  Returns:
    the name of the bug tracker

### bugURL

    public java.lang.String bugURL(java.lang.String bugNumber)

  Description copied from class: `BugTracker`
  Returns the URL of the bug tracker page about a certain bug.

  Specified by:
    `bugURL` in class `BugTracker`
  Parameters:
    `bugNumber` - The bug number; one or more digits.
  Returns:
    The URL of the bug page